## gnss-share 0.7.1

=== debian/changelog ===
gnss-share (0.7.1-2) unstable; urgency=medium

  * Release to unstable

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 13 Jun 2023 16:22:59 +0200

gnss-share (0.7.1-1) experimental; urgency=medium

  [ Chris Talbot ]
  * New Upstream Version

 -- Chris Talbot <chris@talbothome.com>  Thu, 01 Jun 2023 12:09:34 -0400

gnss-share (0.7-1) experimental; urgency=medium

  [ Chris Talbot ]
  * New Upstream Version
  * d/control: add dependency

 -- Chris Talbot <chris@talbothome.com>  Wed, 31 May 2023 21:11:12 -0400

gnss-share (0.6-1) experimental; urgency=medium

  * Initial release (Closes: #1033266, #1018707)

 -- Chris Talbot <chris@talbothome.com>  Mon, 20 Mar 2023 16:16:11 -0400

## gnss-share 0.7.2

=== Makefile ===
# based off of the Makefile for aerc:
# https://git.sr.ht/~rjarry/aerc/tree/master/item/Makefile

.POSIX:
.SUFFIXES:
.SUFFIXES: .1 .1.scd .5 .5.scd

VERSION?=`git describe --tags --dirty 2>/dev/null || echo 0.0.0`
VPATH=doc
PREFIX?=/usr/local
BINDIR?=$(PREFIX)/bin
SHAREDIR?=$(PREFIX)/share
SYSCONFDIR?=/etc
MANDIR?=$(PREFIX)/share/man
GO?=go
GOFLAGS?=
LDFLAGS+=-X main.Version=$(VERSION) -s -w
RM?=rm -f

GOSRC!=find * -name '*.go'
GOSRC+=go.mod go.sum

DOCS := \
	gnss-share.1 \
	gnss-share.conf.5

all: gnss-share $(DOCS)

gnss-share: $(GOSRC)
	$(GO) build $(GOFLAGS) -ldflags "$(LDFLAGS)" -o gnss-share ./cmd/gnss-share

.PHONY: fmt
fmt:
	gofmt -w .

# NOTE: most of the skipped staticcheck tests are from the default, SA1019
# skips the ioutil deprecation warning since some distros (Debian) are only on
# Go 1.15, which was before some ioutil functionality was moved into other
# modules (e.g. os.)
# See: https://staticcheck.io/docs/configuration
test:
	@if [ `gofmt -l . | wc -l` -ne 0 ]; then \
		gofmt -d .; \
		echo "ERROR: source files need reformatting with gofmt"; \
		exit 1; \
	fi
	@staticcheck -checks all,-ST1000,-ST1003,-ST1016,-ST1020,-ST1021,-ST1022,-ST1023,-SA1019 ./...
	@go test -race -count=1 ./...

.1.scd.1:
	scdoc < $< > $@

.5.scd.5:
	scdoc < $< > $@

doc: $(DOCS)

clean:
	$(RM) $(DOCS) gnss-share

install: gnss-share $(DOCS)
	mkdir -m755 -p $(DESTDIR)$(BINDIR)
	install -m755 gnss-share $(DESTDIR)$(BINDIR)/
	mkdir -m755 -p $(DESTDIR)$(SYSCONFDIR)
	install -m644 gnss-share.conf $(DESTDIR)$(BINDIR)/
	install -Dm644 gnss-share.1 -t $(DESTDIR)$(MANDIR)/man1/
	install -Dm644 gnss-share.conf.5 -t $(DESTDIR)$(MANDIR)/man5/

.PHONY: checkinstall
checkinstall:
	test -e $(DESTDIR)$(BINDIR)/gnss-share
	test -e $(DESTDIR)$(BINDIR)/gnss-share.conf 
	test -e $(DESTDIR)$(MANDIR)/man1/gnss-share.1
	test -e $(DESTDIR)$(MANDIR)/man5/gnss-share.conf.5

RMDIR_IF_EMPTY:=sh -c '! [ -d $$0 ] || ls -1qA $$0 | grep -q . || rmdir $$0'

uninstall:
	$(RM) $(DESTDIR)$(BINDIR)/gnss-share
	$(RM) $(DESTDIR)$(BINDIR)/gnss-share.conf 
	$(RM) $(DESTDIR)$(MANDIR)/man1/gnss-share.1
	$(RM) $(DESTDIR)$(MANDIR)/man5/gnss-share.conf.5

.PHONY: all doc clean install uninstall test

=== debian/changelog ===
gnss-share (0.7.2-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 16:01:47 +1000

gnss-share (0.7.2-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 10:04:34 +0100

gnss-share (0.7.2-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 09:44:34 +0530

gnss-share (0.7.2-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:23 +1200

gnss-share (0.7.2-1) unstable; urgency=medium

  * New upstream version

  [ Chris Talbot ]
  * d/systemd: remove geoclue systemd modification
  * d/install: enable gnss-share conf.d

 -- Chris Talbot <chris@talbothome.com>  Mon, 24 Jul 2023 16:03:52 -0400

=== debian/control ===
Source: gnss-share
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Chris Talbot <chris@talbothome.com>,
Section: misc
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-google-uuid-dev,
 golang-github-pelletier-go-toml-dev,
 golang-github-tarm-serial-dev,
 scdoc <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://gitlab.com/postmarketOS/gnss-share
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/gnss-share
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/gnss-share.git
Rules-Requires-Root: no
XS-Go-Import-Path: gitlab.com/postmarketOS/gnss-share

Package: gnss-share
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Suggests:
 geoclue-2.0,
Conflicts:
 gpsd,
Description: Share GNSS location data
 This is meant to replace things like gpsd, and gps-share, and work together
 with geoclue* or other clients that support fetching NMEA location data over
 sockets.
 .
 It supports multiple clients and loading/saving AGPS data.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	make doc
endif

## gnss-share 0.8.1

=== debian/changelog ===
gnss-share (0.8.1-1) unstable; urgency=medium

  * New Upstream Version

  [ Chris Talbot ]
  * d/changelog: fix formatting error
  * d/watch: Conform to new watch file for gitlab

 -- Christopher Talbot <chris@talbothome.com>  Sat, 06 Apr 2024 09:24:32 -0600

gnss-share (0.8.0-1) unstable; urgency=medium

  * New Upstream Version

  [ Arnaud Ferraris ]
  * d/rules: ensure we fully clean the source tree (Closes: #1044787)

  [ Chris Talbot ]
  * d/control: add dependency for golang-dbus-dev
  * d/lintian-overrides: remove unused overrides

 -- Chris Talbot <chris@talbothome.com>  Wed, 13 Mar 2024 11:01:20 -0600

## gnss-share 0.8.2

=== debian/changelog ===
gnss-share (0.8.2-1) unstable; urgency=medium

  * New Upstream Version

  [ Chris Talbot ]
  * d/install: move systemd service to usr (Closes: #1073642)

 -- Christopher Talbot <chris@talbothome.com>  Sun, 04 Aug 2024 20:00:26 -0600

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gnss-share
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Chris Talbot <chris@talbothome.com>,
 Section: misc
@@ -10,6 +9,7 @@
  debhelper-compat (= 13),
  dh-golang,
  golang-any,
+ golang-dbus-dev,
  golang-github-google-uuid-dev,
  golang-github-pelletier-go-toml-dev,
  golang-github-tarm-serial-dev,

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+
+execute_after_dh_auto_clean:
+	make clean
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/postmarketOS/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
